For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Orders Report

GET https://api.sfox.com/v1/users/reports/tax-order-summary

Returns a list of order summaries from the specified time period.

Request

Headers

Name
Type
Description

Content-Type required

string

application/json

Authorization required

string

Bearer token

Query Parameters

Name
Type
Description

end

Number

The unix timestamp (seconds) of the last datapoint returned

start

Number

The unix timestamp (seconds) of the first datapoint returned

Example Request

curl 'https://api.sfox.com/v1/users/reports/tax-order-summary?end=1676102399999&start=1673337600000'
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/users/reports/tax-order-summary',
  params: {
    startTime: 1657217002,
    endTime: 1665165809
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests

data = requests.get(
  "https://api.sfox.com/v1/users/reports/tax-order-summary",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  params={
   "startTime": 1657217002,
   "endTime": 1665165809
  }
)
print(data)

Response

CSV formatted response

OrderId,OrderDate,AddedByUserEmail,Action,AssetPair,Quantity,Asset,AssetUSDFXRate,UnitPrice,PriceCurrency,PrincipalAmount,PriceUSDFXRate,PrincipalAmountUSD,Fees,FeesUSD,Total,TotalUSD
703915618,Tue Jan 24 2023 01:44:00 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Buy,xlmusd,106.35165019,xlm,0.09384001,0.09384001,usd,9.98003992,1,9.98003992,0.01996008,0.01996008,10,10
703915655,Tue Jan 24 2023 01:47:06 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Sell,xlmusd,150.56406,xlm,0.09377324,0.09377324,usd,14.11887974,1,14.11887973,0.02823776,0.02823776,14.09064197,14.09064197
704255180,Fri Feb 10 2023 00:19:10 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Buy,avaxusd,1,avax,17.94148758,17.94148758,usd,17.94148758,1,17.94148758,0.03588298,0.03588298,17.97737056,17.97737056

Last updated